alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity_artifact_changed drop constraint if exists FK3trne6t5kt9i5elsqgyi4fb05;
alter table if exists activity_artifact_changed drop constraint if exists FK9no45xbwejm1fw3mi8ntas2cl;
alter table if exists activity_artifact_created drop constraint if exists FK5e31y2lrg2vlmmwb6l3gdpku2;
alter table if exists activity_artifact_created drop constraint if exists FKafntfafl87e528uonltbsxbi6;
alter table if exists activity_artifact_used drop constraint if exists FKagy8o0ss3g2wg3vmfdyc6he9q;
alter table if exists activity_artifact_used drop constraint if exists FKfdesa1guewvnsul4abkm3ov;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project_stakeholder drop constraint if exists FK8qi4xbjt8d9qojshewdxhi2ko;
alter table if exists project_stakeholder drop constraint if exists FKd471j1kcwphen26v3sn8c5vk9;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKf1lpg5fjedhcmofd9d1nqj3qa;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
drop table if exists activity cascade;
drop table if exists activity_artifact_changed cascade;
drop table if exists activity_artifact_created cascade;
drop table if exists activity_artifact_used cascade;
drop table if exists artifact cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists project_stakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop sequence if exists organization_seq;
drop sequence if exists organizationalrole_seq;
create sequence organization_seq start with 1 increment by 50;
create sequence organizationalrole_seq start with 1 increment by 50;
create table activity (end_date date, start_date date, created_at timestamp(6), id bigserial not null, specificprojectprocess_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), state_type varchar(255) check (state_type in ('PERFORMED','INTENDED')), primary key (id));
create table activity_artifact_changed (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_created (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_used (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table artifact (end_date date, start_date date, artifact_id bigint, created_at timestamp(6), id bigserial not null, dtype varchar(31) not null, artifact_type varchar(255) check (artifact_type in ('SOFTWAREPRODUCT','SOFTWAREITEM','INFORMATIONITEM','DOCUMENT')), description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table generalprojectprocess (end_date date, start_date date, created_at timestamp(6), id bigserial not null, softwareproject_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table loadedsoftwaresystemcopy (created_at timestamp(6), id bigserial not null, softwaresystem_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organization (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organizationalrole (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table person (end_date date, start_date date, created_at timestamp(6), id bigserial not null, description varchar(255), email varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project_stakeholder (created_at timestamp(6), id bigserial not null, person_id bigint unique, team_id bigint unique, dtype varchar(31) not null, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table specificprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table team (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), team_purpose varchar(255), type varchar(255) check (type in ('PROJECTTEAM','ORGANIZATIONALTEAM')), primary key (id));
create table teammembership (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organizationalrole_id bigint unique, person_id bigint unique, team_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity_artifact_changed add constraint FK3trne6t5kt9i5elsqgyi4fb05 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_changed add constraint FK9no45xbwejm1fw3mi8ntas2cl foreign key (activity_id) references activity;
alter table if exists activity_artifact_created add constraint FK5e31y2lrg2vlmmwb6l3gdpku2 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_created add constraint FKafntfafl87e528uonltbsxbi6 foreign key (activity_id) references activity;
alter table if exists activity_artifact_used add constraint FKagy8o0ss3g2wg3vmfdyc6he9q foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_used add constraint FKfdesa1guewvnsul4abkm3ov foreign key (activity_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project_stakeholder add constraint FK8qi4xbjt8d9qojshewdxhi2ko foreign key (person_id) references person;
alter table if exists project_stakeholder add constraint FKd471j1kcwphen26v3sn8c5vk9 foreign key (team_id) references team;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKf1lpg5fjedhcmofd9d1nqj3qa foreign key (projectstakeholder_id) references project_stakeholder;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity_artifact_changed drop constraint if exists FK3trne6t5kt9i5elsqgyi4fb05;
alter table if exists activity_artifact_changed drop constraint if exists FK9no45xbwejm1fw3mi8ntas2cl;
alter table if exists activity_artifact_created drop constraint if exists FK5e31y2lrg2vlmmwb6l3gdpku2;
alter table if exists activity_artifact_created drop constraint if exists FKafntfafl87e528uonltbsxbi6;
alter table if exists activity_artifact_used drop constraint if exists FKagy8o0ss3g2wg3vmfdyc6he9q;
alter table if exists activity_artifact_used drop constraint if exists FKfdesa1guewvnsul4abkm3ov;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project_stakeholder drop constraint if exists FK8qi4xbjt8d9qojshewdxhi2ko;
alter table if exists project_stakeholder drop constraint if exists FKd471j1kcwphen26v3sn8c5vk9;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKf1lpg5fjedhcmofd9d1nqj3qa;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
drop table if exists activity cascade;
drop table if exists activity_artifact_changed cascade;
drop table if exists activity_artifact_created cascade;
drop table if exists activity_artifact_used cascade;
drop table if exists artifact cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists project_stakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop sequence if exists organization_seq;
drop sequence if exists organizationalrole_seq;
create sequence organization_seq start with 1 increment by 50;
create sequence organizationalrole_seq start with 1 increment by 50;
create table activity (end_date date, start_date date, created_at timestamp(6), id bigserial not null, specificprojectprocess_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), state_type varchar(255) check (state_type in ('PERFORMED','INTENDED')), primary key (id));
create table activity_artifact_changed (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_created (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_used (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table artifact (end_date date, start_date date, artifact_id bigint, created_at timestamp(6), id bigserial not null, dtype varchar(31) not null, artifact_type varchar(255) check (artifact_type in ('SOFTWAREPRODUCT','SOFTWAREITEM','INFORMATIONITEM','DOCUMENT')), description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table generalprojectprocess (end_date date, start_date date, created_at timestamp(6), id bigserial not null, softwareproject_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table loadedsoftwaresystemcopy (created_at timestamp(6), id bigserial not null, softwaresystem_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organization (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organizationalrole (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table person (end_date date, start_date date, created_at timestamp(6), id bigserial not null, description varchar(255), email varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project_stakeholder (created_at timestamp(6), id bigserial not null, person_id bigint unique, team_id bigint unique, dtype varchar(31) not null, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table specificprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table team (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), team_purpose varchar(255), type varchar(255) check (type in ('PROJECTTEAM','ORGANIZATIONALTEAM')), primary key (id));
create table teammembership (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organizationalrole_id bigint unique, person_id bigint unique, team_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity_artifact_changed add constraint FK3trne6t5kt9i5elsqgyi4fb05 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_changed add constraint FK9no45xbwejm1fw3mi8ntas2cl foreign key (activity_id) references activity;
alter table if exists activity_artifact_created add constraint FK5e31y2lrg2vlmmwb6l3gdpku2 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_created add constraint FKafntfafl87e528uonltbsxbi6 foreign key (activity_id) references activity;
alter table if exists activity_artifact_used add constraint FKagy8o0ss3g2wg3vmfdyc6he9q foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_used add constraint FKfdesa1guewvnsul4abkm3ov foreign key (activity_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project_stakeholder add constraint FK8qi4xbjt8d9qojshewdxhi2ko foreign key (person_id) references person;
alter table if exists project_stakeholder add constraint FKd471j1kcwphen26v3sn8c5vk9 foreign key (team_id) references team;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKf1lpg5fjedhcmofd9d1nqj3qa foreign key (projectstakeholder_id) references project_stakeholder;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity_artifact_changed drop constraint if exists FK3trne6t5kt9i5elsqgyi4fb05;
alter table if exists activity_artifact_changed drop constraint if exists FK9no45xbwejm1fw3mi8ntas2cl;
alter table if exists activity_artifact_created drop constraint if exists FK5e31y2lrg2vlmmwb6l3gdpku2;
alter table if exists activity_artifact_created drop constraint if exists FKafntfafl87e528uonltbsxbi6;
alter table if exists activity_artifact_used drop constraint if exists FKagy8o0ss3g2wg3vmfdyc6he9q;
alter table if exists activity_artifact_used drop constraint if exists FKfdesa1guewvnsul4abkm3ov;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project_stakeholder drop constraint if exists FK8qi4xbjt8d9qojshewdxhi2ko;
alter table if exists project_stakeholder drop constraint if exists FKd471j1kcwphen26v3sn8c5vk9;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKf1lpg5fjedhcmofd9d1nqj3qa;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
drop table if exists activity cascade;
drop table if exists activity_artifact_changed cascade;
drop table if exists activity_artifact_created cascade;
drop table if exists activity_artifact_used cascade;
drop table if exists artifact cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists project_stakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop sequence if exists organization_seq;
drop sequence if exists organizationalrole_seq;
create sequence organization_seq start with 1 increment by 50;
create sequence organizationalrole_seq start with 1 increment by 50;
create table activity (end_date date, start_date date, created_at timestamp(6), id bigserial not null, specificprojectprocess_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), state_type varchar(255) check (state_type in ('PERFORMED','INTENDED')), primary key (id));
create table activity_artifact_changed (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_created (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_used (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table artifact (end_date date, start_date date, artifact_id bigint, created_at timestamp(6), id bigserial not null, dtype varchar(31) not null, artifact_type varchar(255) check (artifact_type in ('SOFTWAREPRODUCT','SOFTWAREITEM','INFORMATIONITEM','DOCUMENT')), description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table generalprojectprocess (end_date date, start_date date, created_at timestamp(6), id bigserial not null, softwareproject_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table loadedsoftwaresystemcopy (created_at timestamp(6), id bigserial not null, softwaresystem_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organization (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organizationalrole (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table person (end_date date, start_date date, created_at timestamp(6), id bigserial not null, description varchar(255), email varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project_stakeholder (created_at timestamp(6), id bigserial not null, person_id bigint unique, team_id bigint unique, dtype varchar(31) not null, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table specificprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table team (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), team_purpose varchar(255), type varchar(255) check (type in ('PROJECTTEAM','ORGANIZATIONALTEAM')), primary key (id));
create table teammembership (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organizationalrole_id bigint unique, person_id bigint unique, team_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity_artifact_changed add constraint FK3trne6t5kt9i5elsqgyi4fb05 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_changed add constraint FK9no45xbwejm1fw3mi8ntas2cl foreign key (activity_id) references activity;
alter table if exists activity_artifact_created add constraint FK5e31y2lrg2vlmmwb6l3gdpku2 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_created add constraint FKafntfafl87e528uonltbsxbi6 foreign key (activity_id) references activity;
alter table if exists activity_artifact_used add constraint FKagy8o0ss3g2wg3vmfdyc6he9q foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_used add constraint FKfdesa1guewvnsul4abkm3ov foreign key (activity_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project_stakeholder add constraint FK8qi4xbjt8d9qojshewdxhi2ko foreign key (person_id) references person;
alter table if exists project_stakeholder add constraint FKd471j1kcwphen26v3sn8c5vk9 foreign key (team_id) references team;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKf1lpg5fjedhcmofd9d1nqj3qa foreign key (projectstakeholder_id) references project_stakeholder;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity_artifact_changed drop constraint if exists FK3trne6t5kt9i5elsqgyi4fb05;
alter table if exists activity_artifact_changed drop constraint if exists FK9no45xbwejm1fw3mi8ntas2cl;
alter table if exists activity_artifact_created drop constraint if exists FK5e31y2lrg2vlmmwb6l3gdpku2;
alter table if exists activity_artifact_created drop constraint if exists FKafntfafl87e528uonltbsxbi6;
alter table if exists activity_artifact_used drop constraint if exists FKagy8o0ss3g2wg3vmfdyc6he9q;
alter table if exists activity_artifact_used drop constraint if exists FKfdesa1guewvnsul4abkm3ov;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project_stakeholder drop constraint if exists FK8qi4xbjt8d9qojshewdxhi2ko;
alter table if exists project_stakeholder drop constraint if exists FKd471j1kcwphen26v3sn8c5vk9;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKf1lpg5fjedhcmofd9d1nqj3qa;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
drop table if exists activity cascade;
drop table if exists activity_artifact_changed cascade;
drop table if exists activity_artifact_created cascade;
drop table if exists activity_artifact_used cascade;
drop table if exists artifact cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists project_stakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop sequence if exists organization_seq;
drop sequence if exists organizationalrole_seq;
create sequence organization_seq start with 1 increment by 50;
create sequence organizationalrole_seq start with 1 increment by 50;
create table activity (end_date date, start_date date, created_at timestamp(6), id bigserial not null, specificprojectprocess_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), state_type varchar(255) check (state_type in ('PERFORMED','INTENDED')), primary key (id));
create table activity_artifact_changed (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_created (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_used (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table artifact (end_date date, start_date date, artifact_id bigint, created_at timestamp(6), id bigserial not null, dtype varchar(31) not null, artifact_type varchar(255) check (artifact_type in ('SOFTWAREPRODUCT','SOFTWAREITEM','INFORMATIONITEM','DOCUMENT')), description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table generalprojectprocess (end_date date, start_date date, created_at timestamp(6), id bigserial not null, softwareproject_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table loadedsoftwaresystemcopy (created_at timestamp(6), id bigserial not null, softwaresystem_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organization (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organizationalrole (created_at timestamp(6), id bigint not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table person (end_date date, start_date date, created_at timestamp(6), id bigserial not null, description varchar(255), email varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project_stakeholder (created_at timestamp(6), id bigserial not null, person_id bigint unique, team_id bigint unique, dtype varchar(31) not null, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table specificprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('PERFORMED','INTENDED')), primary key (id));
create table team (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), team_purpose varchar(255), type varchar(255) check (type in ('PROJECTTEAM','ORGANIZATIONALTEAM')), primary key (id));
create table teammembership (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organizationalrole_id bigint unique, person_id bigint unique, team_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity_artifact_changed add constraint FK3trne6t5kt9i5elsqgyi4fb05 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_changed add constraint FK9no45xbwejm1fw3mi8ntas2cl foreign key (activity_id) references activity;
alter table if exists activity_artifact_created add constraint FK5e31y2lrg2vlmmwb6l3gdpku2 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_created add constraint FKafntfafl87e528uonltbsxbi6 foreign key (activity_id) references activity;
alter table if exists activity_artifact_used add constraint FKagy8o0ss3g2wg3vmfdyc6he9q foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_used add constraint FKfdesa1guewvnsul4abkm3ov foreign key (activity_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project_stakeholder add constraint FK8qi4xbjt8d9qojshewdxhi2ko foreign key (person_id) references person;
alter table if exists project_stakeholder add constraint FKd471j1kcwphen26v3sn8c5vk9 foreign key (team_id) references team;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKf1lpg5fjedhcmofd9d1nqj3qa foreign key (projectstakeholder_id) references project_stakeholder;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
